Summary:       A 2D graphics library
Name:          cairo
Version:       1.17.8
Release:       5%{?dist}
License:       LGPLv2 or MPLv1.1
URL:           http://cairographics.org
Source0:       http://cairographics.org/snapshots/%{name}-%{version}.tar.xz
Patch0001:     0001-tee-Fix-cairo-wrapper-functions.patch
Patch0002:     0002-ft-Use-normal-font-size-when-detecting-the-format.patch
Patch0003:     0003-ft-don-t-use-scaled_glyph-dev_private-to-store-data.patch

BuildRequires: gcc, gcc-c++, gtk-doc, meson
BuildRequires: pkgconfig(expat) pkgconfig(pixman-1) pkgconfig(freetype2)
BuildRequires: pkgconfig(gobject-2.0) pkgconfig(fontconfig) pkgconfig(libpng)
BuildRequires: pkgconfig(librsvg-2.0) pkgconfig(xext) pkgconfig(xcb-render)
BuildRequires: pkgconfig(xrender)

%description
Cairo is a 2D graphics library with support for multiple output devices.
Currently supported output targets include the X Window System (via both
Xlib and XCB), Quartz, Win32, image buffers, PostScript, PDF, and SVG
file output. Experimental backends include OpenGL, BeOS, OS/2, and DirectFB.

Cairo is designed to produce consistent output on all output media while
taking advantage of display hardware acceleration when available.

%package gobject
Summary: GObject bindings for cairo
Requires: %{name} = %{version}-%{release}

%description gobject
This package provides DSO to make cairo graphics library
integrate well with the GObject object system.

%package gobject-devel
Summary: Development files for cairo-gobject
Requires: %{name}-devel = %{version}-%{release}
Requires: %{name}-gobject = %{version}-%{release}

%description gobject-devel
This package contains libraries, header files for developers who use the
cairo Gobject library.

%package tools
Summary: Development tools for cairo

%description tools
This package provides tools for working with the cairo graphics library.

%package devel
Summary: Development files for cairo
Requires: %{name} = %{version}-%{release}

%description devel
This package provides libraries, header files for developers who use
the cairo graphics library.

%prep
%autosetup -p1


%build
%meson \
  -Dfreetype=enabled \
  -Dfontconfig=enabled \
  -Dglib=enabled \
  -Dgtk_doc=true \
  -Dspectre=disabled \
  -Dsymbol-lookup=disabled \
  -Dtee=enabled \
  -Dtests=disabled \
  -Dxcb=enabled \
  -Dxlib=enabled \
  -Dxml=disabled
%meson_build

%install
%meson_install

find %{buildroot} -name '*.la' -delete
find %{buildroot} -type f -name "*.so*" -o -type f -executable -print -exec chrpath --delete {} \;

%files
%license COPYING COPYING-LGPL-2.1 COPYING-MPL-1.1
%doc AUTHORS BUGS NEWS README.md
%{_libdir}/libcairo.so.2*
%{_libdir}/libcairo-script-interpreter.so.2*

%files gobject
%{_libdir}/libcairo-gobject.so.2*

%files gobject-devel
%{_includedir}/cairo/cairo-gobject.h
%{_libdir}/libcairo-gobject.so
%{_libdir}/pkgconfig/cairo-gobject.pc

%files tools
%{_bindir}/cairo-sphinx
%{_bindir}/cairo-trace
%{_libdir}/cairo/

%files devel
%dir %{_includedir}/cairo/
%{_includedir}/cairo/cairo-deprecated.h
%{_includedir}/cairo/cairo-features.h
%{_includedir}/cairo/cairo-ft.h
%{_includedir}/cairo/cairo.h
%{_includedir}/cairo/cairo-pdf.h
%{_includedir}/cairo/cairo-ps.h
%{_includedir}/cairo/cairo-script-interpreter.h
%{_includedir}/cairo/cairo-svg.h
%{_includedir}/cairo/cairo-tee.h
%{_includedir}/cairo/cairo-version.h
%{_includedir}/cairo/cairo-xlib-xrender.h
%{_includedir}/cairo/cairo-xlib.h
%{_includedir}/cairo/cairo-script.h
%{_includedir}/cairo/cairo-xcb.h
%{_libdir}/libcairo.so
%{_libdir}/libcairo-script-interpreter.so
%{_libdir}/pkgconfig/cairo-fc.pc
%{_libdir}/pkgconfig/cairo-ft.pc
%{_libdir}/pkgconfig/cairo.pc
%{_libdir}/pkgconfig/cairo-pdf.pc
%{_libdir}/pkgconfig/cairo-png.pc
%{_libdir}/pkgconfig/cairo-ps.pc
%{_libdir}/pkgconfig/cairo-script-interpreter.pc
%{_libdir}/pkgconfig/cairo-svg.pc
%{_libdir}/pkgconfig/cairo-tee.pc
%{_libdir}/pkgconfig/cairo-xlib.pc
%{_libdir}/pkgconfig/cairo-xlib-xrender.pc
%{_libdir}/pkgconfig/cairo-script.pc
%{_libdir}/pkgconfig/cairo-xcb-shm.pc
%{_libdir}/pkgconfig/cairo-xcb.pc
%{_datadir}/gtk-doc/html/cairo

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.17.8-5
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.17.8-4
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.17.8-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Aug 18 2023 Wang Guodong <gordonwwang@tencent.com> - 1.17.8-2
- Rebuilt for librsvg2 2.56.90

* Thu Jul 20 2023 kianli <kianli@tencent.com> - 1.17.8-1
- Upgrade to 1.17.8

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.17.4-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.17.4-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Jul 11 2022 cunshunxia <cunshunxia@tencent.com> - 1.17.4-1
- initial build
